import { LogLevel } from './service';
export declare class Verifier {
    readonly options: VerifierOptions;
    private readonly __argMapping;
    constructor(options: VerifierOptions);
    verify(): Promise<string>;
}
declare const _default: (options: VerifierOptions) => Verifier;
export default _default;
export interface ConsumerVersionSelector {
    tag?: string;
    latest?: boolean;
    consumer?: string;
    fallbackTag?: string;
}
export interface VerifierOptions {
    providerBaseUrl: string;
    provider?: string;
    pactUrls?: string[];
    pactBrokerUrl?: string;
    pactBrokerUsername?: string;
    pactBrokerPassword?: string;
    pactBrokerToken?: string;
    consumerVersionTags?: string | string[];
    providerVersionTags?: string | string[];
    consumerVersionSelectors?: ConsumerVersionSelector[];
    customProviderHeaders?: string[];
    publishVerificationResult?: boolean;
    providerVersion?: string;
    enablePending?: boolean;
    timeout?: number;
    verbose?: boolean;
    includeWipPactsSince?: string;
    monkeypatch?: string;
    format?: 'json' | 'xml' | 'progress' | 'RspecJunitFormatter';
    out?: string;
    logDir?: string;
    providerStatesSetupUrl?: string;
    logLevel?: LogLevel;
}
